Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkAppendPolyData Class Reference

`#include <vtkAppendPolyData.h>`

Inheritance diagram for vtkAppendPolyData:

[legend]
Collaboration diagram for vtkAppendPolyData:

[legend]
List of all members.

## Detailed Description

appends one or more polygonal datasets together

Date:
  2002/09/03 12:52:22

Revision:
  1.54

vtkAppendPolyData is a filter that appends one of more polygonal datasets into a single polygonal dataset. All geometry is extracted and appended, but point and cell attributes (i.e., scalars, vectors, normals) are extracted and appended only if all datasets have the point and/or cell attributes available. (For example, if one dataset has point scalars but another does not, point scalars will not be appended.)

See also:
  vtkAppendFilter

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Law, Charles (32%)
  - Schroeder, Will (25%)
  - Biddiscombe, John (14%)
  - Geveci, Berk (9%)
  - Miller, Jim (7%)

CVS logs (CVSweb):
  - .`cxx` (`/Graphics/vtkAppendPolyData.cxx)`
  - .`h` (`/Graphics/vtkAppendPolyData.h)`

Examples:
  vtkAppendPolyData (Examples)

Tests:
  vtkAppendPolyData (Tests)

Definition at line 64 of file vtkAppendPolyData.h.

## Public Types
typedef vtkPolyDataToPolyDataFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | AddInput (vtkPolyData *)
void | RemoveInput (vtkPolyData *)
void | SetNumberOfInputs (int num)
void | SetInputByNumber (int num, vtkPolyData *input)
virtual void | SetUserManagedInputs (int)
virtual int | GetUserManagedInputs ()
virtual void | UserManagedInputsOn ()
virtual void | UserManagedInputsOff ()
vtkPolyData * | GetInput (int idx)
vtkPolyData * | GetInput ()
virtual void | SetParallelStreaming (int)
virtual int | GetParallelStreaming ()
virtual void | ParallelStreamingOn ()
virtual void | ParallelStreamingOff ()
## Static Public Methods
vtkAppendPolyData * | New ()
int | IsTypeOf (const char *type)
vtkAppendPolyData * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkAppendPolyData ()
| ~vtkAppendPolyData ()
void | Execute ()
void | ComputeInputUpdateExtents (vtkDataObject *output)
void | AppendData (vtkDataArray *dest, vtkDataArray *src, vtkIdType offset)
void | AppendDifferentPoints (vtkDataArray *dest, vtkDataArray *src, vtkIdType offset)
vtkIdType * | AppendCells (vtkIdType *pDest, vtkCellArray *src, vtkIdType offset)
## Protected Attributes
int | ParallelStreaming

## Member Typedef Documentation

typedef vtkPolyDataToPolyDataFilter vtkAppendPolyData::Superclass

| Reimplemented from vtkPolyDataToPolyDataFilter. Definition at line 69 of file vtkAppendPolyData.h.

## Constructor & Destructor Documentation

vtkAppendPolyData::vtkAppendPolyData | ( |  | ) | `[protected]`

vtkAppendPolyData::~vtkAppendPolyData | ( |  | ) | `[protected]`

## Member Function Documentation

vtkAppendPolyData* vtkAppendPolyData::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkAppendPolyData::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataToPolyDataFilter.

int vtkAppendPolyData::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataToPolyDataFilter.

virtual int vtkAppendPolyData::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataToPolyDataFilter.

vtkAppendPolyData* vtkAppendPolyData::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataToPolyDataFilter.

void vtkAppendPolyData::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataToPolyDataFilter.

virtual void vtkAppendPolyData::SetUserManagedInputs | ( | int |  | ) | `[virtual]`

| UserManagedInputs allows the user to set inputs by number instead of using the AddInput/RemoveInput functions. Calls to SetNumberOfInputs/SetInputByNumber should not be mixed with calls to AddInput/RemoveInput. By default, UserManagedInputs is false.

virtual int vtkAppendPolyData::GetUserManagedInputs | ( |  | ) | `[virtual]`

| UserManagedInputs allows the user to set inputs by number instead of using the AddInput/RemoveInput functions. Calls to SetNumberOfInputs/SetInputByNumber should not be mixed with calls to AddInput/RemoveInput. By default, UserManagedInputs is false.

virtual void vtkAppendPolyData::UserManagedInputsOn | ( |  | ) | `[virtual]`

| UserManagedInputs allows the user to set inputs by number instead of using the AddInput/RemoveInput functions. Calls to SetNumberOfInputs/SetInputByNumber should not be mixed with calls to AddInput/RemoveInput. By default, UserManagedInputs is false.

virtual void vtkAppendPolyData::UserManagedInputsOff | ( |  | ) | `[virtual]`

| UserManagedInputs allows the user to set inputs by number instead of using the AddInput/RemoveInput functions. Calls to SetNumberOfInputs/SetInputByNumber should not be mixed with calls to AddInput/RemoveInput. By default, UserManagedInputs is false.

void vtkAppendPolyData::AddInput | ( | vtkPolyData * |  | ) |

| Add a dataset to the list of data to append. Should not be used when UserManagedInputs is true, use SetInputByNumber instead.

void vtkAppendPolyData::RemoveInput | ( | vtkPolyData * |  | ) |

| Remove a dataset from the list of data to append. Should not be used when UserManagedInputs is true, use SetInputByNumber (NULL) instead.

vtkPolyData* vtkAppendPolyData::GetInput | ( | int | idx | ) |

| Get any input of this filter.

vtkPolyData* vtkAppendPolyData::GetInput | ( |  | ) | `[inline]`

| Get any input of this filter. Reimplemented from vtkPolyDataToPolyDataFilter. Definition at line 93 of file vtkAppendPolyData.h. References vtkPolyDataToPolyDataFilter::GetInput().

void vtkAppendPolyData::SetNumberOfInputs | ( | int | num | ) |

| Directly set(allocate) number of inputs, should only be used when UserManagedInputs is true. Reimplemented from vtkProcessObject.

void vtkAppendPolyData::SetInputByNumber | ( | int | num,
|  | vtkPolyData * | input
| ) |

virtual void vtkAppendPolyData::SetParallelStreaming | ( | int |  | ) | `[virtual]`

| ParallelStreaming is for a particular application. It causes this filter to ask for a different piece from each of its inputs. If all the inputs are the same, then the output of this append filter is the whole dataset pieced back together. Duplicate points are create along the seams. The purpose of this feature is to get data parallelism at a course scale. Each of the inputs can be generated in a different process at the same time.

virtual int vtkAppendPolyData::GetParallelStreaming | ( |  | ) | `[virtual]`

| ParallelStreaming is for a particular application. It causes this filter to ask for a different piece from each of its inputs. If all the inputs are the same, then the output of this append filter is the whole dataset pieced back together. Duplicate points are create along the seams. The purpose of this feature is to get data parallelism at a course scale. Each of the inputs can be generated in a different process at the same time.

virtual void vtkAppendPolyData::ParallelStreamingOn | ( |  | ) | `[virtual]`

| ParallelStreaming is for a particular application. It causes this filter to ask for a different piece from each of its inputs. If all the inputs are the same, then the output of this append filter is the whole dataset pieced back together. Duplicate points are create along the seams. The purpose of this feature is to get data parallelism at a course scale. Each of the inputs can be generated in a different process at the same time.

virtual void vtkAppendPolyData::ParallelStreamingOff | ( |  | ) | `[virtual]`

| ParallelStreaming is for a particular application. It causes this filter to ask for a different piece from each of its inputs. If all the inputs are the same, then the output of this append filter is the whole dataset pieced back together. Duplicate points are create along the seams. The purpose of this feature is to get data parallelism at a course scale. Each of the inputs can be generated in a different process at the same time.

void vtkAppendPolyData::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

void vtkAppendPolyData::ComputeInputUpdateExtents | ( | vtkDataObject * | output | ) | `[protected, virtual]`

| What is the input update extent that is required to produce the desired output? By default, the whole input is always required but this is overridden in many subclasses. Reimplemented from vtkPolyDataSource.

void vtkAppendPolyData::AppendData | ( | vtkDataArray * | dest,
|  | vtkDataArray * | src,
|  | vtkIdType | offset
| ) | `[protected]`

void vtkAppendPolyData::AppendDifferentPoints | ( | vtkDataArray * | dest,
|  | vtkDataArray * | src,
|  | vtkIdType | offset
| ) | `[protected]`

vtkIdType* vtkAppendPolyData::AppendCells | ( | vtkIdType * | pDest,
|  | vtkCellArray * | src,
|  | vtkIdType | offset
| ) | `[protected]`

## Member Data Documentation

int vtkAppendPolyData::ParallelStreaming`[protected]`

| Definition at line 121 of file vtkAppendPolyData.h.

The documentation for this class was generated from the following file:

- Graphics/vtkAppendPolyData.h